## juice 0.03n

=== Makefile ===

# -*- sh_mode -*-

# Makefile -- written for Juice
#  Copyright (C) 2000, 2001, 2002 Abraham vd Merwe
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# debian	compile for debian system (i.e. if you want to make a debian package)
# default	compile for a normal system (i.e. everything goes to /usr/local)
# NOTE: Leave this undefined if you just want to check out juice first (i.e. you don't want to install anything)
SYSTYPE = "debian"

export SYSTYPE
export DESTDIR

all:
	${MAKE} -C src all
	${MAKE} -C man all

install:
	${MAKE} -C src install
	${MAKE} -C man install

uninstall:
	${MAKE} -C src uninstall
	${MAKE} -C man uninstall

clean:
	rm -f *~

distclean: clean
	${MAKE} -C src distclean
	${MAKE} -C man distclean
	rm -f {build,configure}-stamp debian/{postinst.debhelper,prerm.debhelper,substvars,files}
	rm -rf debian/juice
