=== debian/changelog ===
juice (0.03n) unstable; urgency=low

   * include string.h in mixer.C to avoid compilation error with
     gcc 3.0 (Closes: #138714)

 -- Abraham vd Merwe <abz@debian.org>  Mon, 18 Mar 2002 18:02:56 +0200

juice (0.03m) unstable; urgency=low

   * Added Ross Thomas's patch to allow users from the audio group to
     use the configuration file. (Closes: #121449)

 -- Abraham vd Merwe <abz@debian.org>  Sat, 16 Mar 2002 17:32:22 +0200

juice (0.03l) unstable; urgency=low

   * src/dialog/windows.C: added #include <string.h> (Closes: #108262)
   * src/player/cmd.c: same
   * src/player/console.c: same
   * src/mixer.C: same

 -- Abraham vd Merwe <abz@debian.org>  Tue, 16 Oct 2001 22:58:09 +0200

juice (0.03k) unstable; urgency=low

  * Added signal handlers for SIGSTOP/SIGCONT (It will now pause/resume
    the player if something is currently playing).
  * Fixed typo in extended description of the debian control file.
    (Closes: #111836)
  * Fixed grammatical errors in control file. (Closes: #113603)

 -- Abraham vd Merwe <abz@debian.org>  Tue, 16 Oct 2001 22:41:27 +0200

juice (0.03j) unstable; urgency=low

  * Removed build dependencies on essential package (Closes: #104977).

 -- Abraham vd Merwe <abz@debian.org>  Mon, 6 Aug 2001 17:51:35 +0200

juice (0.03i) unstable; urgency=low

  * Removed the build dependancy for libc6-dev which happened to be
    an essential package.
  * Updated TODO list with suggestions from Stefan van der Walt.

 -- Abraham vd Merwe <abz@debian.org>  Wed, 11 Jul 2001 18:08:15 +0200

juice (0.03h) unstable; urgency=low

  * Added a build dependancy for libncurses5-dev in the
    control file (Closes: #98873) among others.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 27 May 2001 19:04:49 +0200

juice (0.03g) unstable; urgency=high

  * This is such a mess :P This release fixes a mistake
    I made with the previous Debian package: I forgot to
    close the ITP bug, so this release closes that.
    (Closes: #98018) Please note that apart from this Debian
    bugfixes there is absolutely no difference between this
    and the previous release.

 -- Abraham vd Merwe <abz@debian.org>  Tue, 22 May 2001 20:07:07 +0200

juice (0.03f) unstable; urgency=low

  * Updated the package for official debian maintaining.
  * Changed debian control files to be 3.5.2 standards compliant

 -- Abraham vd Merwe <abz@debian.org>  Tue, 22 May 2001 19:40:56 +0200

juice (0.03e) unstable; urgency=low

  * Fixed Page Down bug in right panel of Lst::Browse().
  * Fixed stripdirname() in dialogs/utils.C and renamed
    it to canonicalize_pathname(). Directory changing
    should now be functioning properly again.
  * Deselects all tracks when tracks is manipulated, e.g.
    shuffled. This prevents the Shuffle bug (wrong tracks
    selected when some tracks were selected when shuffling).
  * Fixed some stuff in Eterm.ti.
  * Changed wattr_off(), wattr_on() functions to wattroff()
    and wattron() to support ncurses 5.

 -- Abraham vd Merwe <abz@juicy.sourceforge.net>  Fri, 2 Jun 2000 17:30:13 +0200

juice (0.03d) unstable; urgency=low

  * Changed the package to native format
  * Changed Windows::Init() to use hi-ascii for Eterm-vga/eterm-vga
    terminfo types. I would recommend people running juice in the
    X-windows environment to use Eterm together with the Eterm.ti
    terminfo entry I wrote and export the TERM variable as ``eterm-vga''
    if you use a vga font or just ``eterm'' if you use a normal font
    supporting alternate character sets.
  * Removed play check in Playlist::Edit() that prevented you from
    switching if track wasn't playing (I did this, because the
    player statistics I get from mpg123, isn't very reliable)
  * Added code to unpause mpg123 before stopping it. This circumvents
    a bug in mpg123.
  * Added relative directory support. Now you can specify relative
    directories in the setup menu / configuration file.
  * Implemented Ctrl-L (screen refresh).
  * Fixed bug in mpg123/mpg123.c: mpg123_receive() that caused
    only the first word to be displayed in filenames that contain
    spaces.
  * Fixed bug in Lst::Browse() that caused garbage to be displayed
    when files were added with the "Add All" button.
  * Fixed bug in juice.C that caused the help message to be shown
    if just one file was given on the command-line.
  * Fixed readline() bug in mpg123/utils.c that caused descript.ion
    files containing empty lines to be discarded.

 -- Abraham vd Merwe <abz@juicy.sourceforge.net>  Sat, 13 May 2000 20:32:13 +0200

juice (0.03c) unstable; urgency=low

  * Added code to convert TAB's found in descript.ion into spaces. Also
    changed VirtualFS::shortname() to display spaces instead of TAB's.
    This should fix the `wrapping bug' in dialogs if files/descriptions
    contain TAB's.
  * Fixed the bug that caused the last line in a descript.ion not to be
    displayed when a \n was not present.
  * Fixed scrollbar frame bug in Playlist dialog.
  * Changed the display time of Dialogs::Info() from 1.5th of a second
    to 1/7th of a second.
  * Added manpages for juice. This includes a manpage for juice.conf(5),
    descript.ion(5), and juice(1)
  * Debianized the source and created a debian package.

 -- Abraham vd Merwe <abz@juicy.sourceforge.net>  Sat, 22 Apr 2000 20:02:49 +0200

juice (0.03b) unstable; urgency=low

  * Fixed intersession memory bug (If you disabled it in the setup menu,
    the mpg123 frontend was disabled instead)
  * Added an option to disable help dialogs
  * Added ID3 support in browse and playlist dialogs
  * Added a display mode option (Choose to display files as is, with
    descript.ion support, ID3 tags, etc.)
  * Added a display format option (Title + Author, Title only, etc.)
  * Added shorten method (Split and shorten (~ thing), Truncate) which
    determines how files will be fitted into the dialogs if they're too
    long to display properly.
  * Changed the code to accept description files with no \n between

