=== debian/control ===
Source: juice
Section: sound
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>= 3.0.19), libncurses5-dev
Standards-Version: 3.5.2

Package: juice
Architecture: any
Depends: ${shlibs:Depends}
Suggests: mpg123 (>= 0.59r)
Description: playlist editor / player frontend
 Juice is a frontend for mpg123 and other players. It provides
 a nifty dialog-based playlist editor.
 .
 It basically allows you to browse through your files in a
 "Midnight Commander"-like fashion. The MP3's you select are
 treated as a playlist which can be shuffled, rearranged,
 saved, etc.
 .
 In order to play audio files, two player interfaces are
 provided. The mpg123-specific interface uses the remote
 protocol of mpg123 (This feature was introduced in version
 0.59r in order to accommodate generic frontends.) The other
 player frontend is generic and allows for any player to be
 used. This is useful if you do not want to limit the
 functionality of juice to MP3's. Please note that this
 generic frontend is still in early beta phase and is
 pretty buggy.
 .
 Of course juice comes with all the bells & whistles you'd
 expect from a quality application and has (among others)
 full integrated help functionality as well as full dialog
 based configuration file editor.
