## juice 0.03o

=== debian/changelog ===
juice (0.03o) unstable; urgency=low

   * added support for user-specific configuration files
     (Closes: #152492)
   * save playlists to home directory instead of /usr/share/juice
     (Closes: #159080)

 -- Abraham vd Merwe <abz@debian.org>  Sat, 14 Dec 2002 14:08:52 +0200
