## juice 0.03p

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,6 @@
 distclean: clean
 	${MAKE} -C src distclean
 	${MAKE} -C man distclean
-	rm -f {build,configure}-stamp debian/{postinst.debhelper,prerm.debhelper,substvars,files}
+	rm -f {build,configure}-stamp debian/{*.debhelper,*.substvars,files,*~}
 	rm -rf debian/juice
