=== debian/changelog ===
juice (0.03p) unstable; urgency=low

   * Fixed buffer overflow in _strcat()
   * Check return value of fopen in save_playlist (Closes: #228547)
   * Recompile against g++3.3 (Closes: #236053)
   * Fixed lintian warnigns, updated standards version.

 -- Abraham vd Merwe <abz@debian.org>  Tue, 29 Jun 2004 16:59:34 +0200
