=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/juice.
+	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/juice
