## juice 0.03pbuild1

=== debian/changelog ===
juice (0.03pbuild1) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jun 2005 08:32:23 +0000
