## juice 0.03p+nmu2

=== man/Makefile ===

# -*- sh -*-

# Makefile -- written for Juice
#  Copyright (C) 1999, 2000, 2001 Abraham vd Merwe
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

ifeq (${SYSTYPE},"debian")
prefix = ${DESTDIR}/usr
datadir = ${prefix}/share
else
ifeq (${SYSTYPE},"default")
prefix = /usr/local
datadir = ${prefix}/lib
else
TEST_ONLY = 1
endif
endif

INSTALL = install
INSTALL_DATA = ${INSTALL}

MANDIR = ${datadir}/man

MAN = juice.1 juice.conf.5 descript.ion.5
MANGRP = bin
MANOWN = root
MANMODE = 0444

all:

clean:
	rm -f *~

distclean: clean

ifndef TEST_ONLY
install: ${MAN}
	${INSTALL} -d ${MANDIR}
	gzip -9 ${MAN}
	for F in ${MAN}; do ${INSTALL_DATA} -g ${MANGRP} -o ${MANOWN} -m ${MANMODE} $$F.gz ${MANDIR}/man$${F##*.}; done
	gunzip -9 ${MAN}

uninstall:
	for F in ${MAN}; do rm -f ${MANDIR}/man$${F##*.}/$$F.gz; done

endif
