=== src/Makefile ===
--- 
+++ 
@@ -102,7 +102,7 @@
 LDLIBS = -lncurses -lpanel
 
 INSTALL = install
-INSTALL_PROGRAM = ${INSTALL} -s
+INSTALL_PROGRAM = ${INSTALL} #-s
 INSTALL_DATA = ${INSTALL}
 
 ##
