=== src/dialogs/Makefile ===

# -*- sh -*-

CPPFLAGS =

CXX = g++
CXXFLAGS = -Wall -O2 -Winline

OBJECTS = vfs.o regexp.o windows.o background.o dialogs.o utils.o
SOURCES = ${OBJECTS:.o=.C}

.PHONY: all clean install uninstall distclean do-it-all with-depends without-depends

all: do-it-all

ifeq (.depends,${wildcard .depends})
include .depends
do-it-all: with-depends
else
do-it-all: without-depends
endif

without-depends: depend with-depends

with-depends: ${OBJECTS}

depend:
	rm -f .depends
	set -e; for F in ${SOURCES}; do ${CC} -MM ${CPPFLAGS} $$F >> .depends; done

clean:
	rm -f .depends *~ ${OBJECTS}

distclean: clean

install:

uninstall:
