=== debian/changelog ===
juice (0.03p+nmu2) unstable; urgency=low

  * "When you make 50 NMU's a day you make mistake" release
  * fix the clean target to fix FTBS on !i386

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 21 Mar 2008 00:00:38 +0200

juice (0.03p+nmu1) unstable; urgency=low

  * Non-maintainer upload (version number weird because of existing binNMU)
  * Fix gcc-4.3 FTBFS, patch by Kibi (Closes: #455384)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 18:46:39 +0100
