=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Abraham vd Merwe <abz@debian.org>
 Build-Depends: debhelper (>= 3.0.19), libncurses5-dev
-Standards-Version: 3.5.2
+Standards-Version: 3.6.1
 
 Package: juice
 Architecture: any
